Subject: Re: [PATCH 0/4] Honor core.deltaBaseCacheLimit during index-pack

From: Andreas Ericsson <[email-masked]>
Date: Mon, 14 Jul 2008 14:16:31 +0200

Jakub Narebski wrote:
> Johannes Schindelin <[email-masked]> writes:
>> On Mon, 14 Jul 2008, Shawn O. Pearce wrote:
> 
>>> The only other alternative I can come up with is to change pack-objects 
>>> (or at least its defaults) so we don't generate these massive delta 
>>> chains.  But there are already packs in the wild that use these chains, 
>>> resulting in performance problems for clients.
>> But the long chains make the pack actually as efficient as it is...
> 
> Perhaps Shawn thought here about limiting delta chain not by its
> *length*, but by its *size* (as required when unpacking last object
> in a delta chanin).
> 
> What do you think about this idea?

Sorry for being clueless here, but why does the older versions need
to be kept in-memory anyway? Aren't we applying the delta each time
we find one, repeatedly creating a new base-object in-memory for
each delta? If we aren't doing that, why do we need more than just
a small amount of memory just for keeping the delta?

Feel free to tell me to go away if I'm being stupid. I'm just
curious and probably won't be able to hack up any patches anyway.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231